Subject: Re: bug#58203: Cuirass fails to respect (target-x86-32?) in some circumstances

From: Marius Bakke <[email-masked]>
Date: Sat, 01 Oct 2022 11:33:47 +0200

Ludovic Courtès <[email-masked]> skriver:

> Marius Bakke <[email-masked]> skribis:
>
>> Hello,
>>
>> I noticed Cuirass attempts to run imath tests on i686-linux:
>>
>>   https://ci.guix.gnu.org/build/739643/details
>
> Following the links, this corresponds to
> <https://ci.guix.gnu.org/eval/302107>, itself corresponding to commit
> f5fe0082abe4547f3fb9f29d8351473cfb3a387b, which dates back to May.
>
> So this is a recent build for an old commit; maybe it had been queued
> for some time and just got unlocked today?  Weirdness.

Hmm.  I was following some "dependency failed" links in Cuirass which
lead to that.  It was recently built because I restarted it.

> The good news is that with today’s ‘staging’, everything’s fine:

Not quite:

  https://ci.guix.gnu.org/search?query=system%3Ai686-linux+imath

Imath has no dependencies apart from CMake, so all of those should be
the same derivation, yet some are failing.